<%include file="header.tpl" args="title='Configuration'" />

<%
	crython = backpack['crython']
	cb = backpack['CryoBoard']
	cc = cb.get_converter()
	hc = cb.get_heater_converter()
%>

<table>
	<thead>
		<caption>Channel Configuration</caption>
		<tr>
			<th>Channel</th><th>Name</th><th>Type</th><th>Resistances</th><th>Calibration File</th><th>Actions</th>
		</tr>
	</thead>
	<tbody>
		% for c in xrange(crython.NUM_COOKED_CHANNELS):
			<tr>
				<td>${c+1}</td>
				<td>
					<input type="text"
						id="channel_${c}_name"
						value="${cc.config['Names'][c]}"
					/>
				</td>
				<td>
					<select id="channel_${c}_type"
						style="width: 100px;"
						value=${cc.config['Types'][c]}>

						<option value="Diode" ${'SELECTED' if cc.config['Types'][c] == 'Diode' else ''}>Diode</option>
						<option value="RTD" ${'SELECTED' if cc.config['Types'][c] == 'RTD' else ''}>RTD</option>
					</select>
					
				</td>
				<td>
					<input type="text"
						id="channel_${c}_resistance"
						value=${cc.config['Resistances'][c]}
					/>
				</td>
				<td>
					<!-- <input type="file"
						id="channel_${c}_files"
						value="${cc.config['Calibrations'][c]}"
					> -->
					N/A
				</td>
				<td>
					<input type="submit" value="Set"
						onclick="cryo_method('CryoConverter', 'set_channel_parameters', {
							'channel': parseInt(${c}),
							'name': $('channel_${c}_name').value,
							'type': $('channel_${c}_type').value,
							'resistance': parseInt($('channel_${c}_resistance').value)
						})"
					/>
				</td>
			</tr>
		% endfor
	</tbody>
</table>

<table>
	<thead>
		<caption>Heater Configuration</caption>
		<tr>
			<th>Channel</th><th>Name</th><th>Resistance</th><th>Actions</th>
		</tr>
	</thead>
	<tbody>
		% for c in xrange(crython.NUM_HEATER_CHANNELS):
			<tr>
				<td>${c+1}</td>
				<td>
					<input type="text"
						id="heater_${c}_name"
						value="${hc.config['Names'][c]}"
					/>
				</td>
				<td>
					<input type="text"
						id="heater_${c}_resistance"
						value=${hc.config['Resistances'][c]}
					/>
				</td>
				<td>
					<input type="submit" value="Set"
						onclick="cryo_method('CryoHeaterConverter', 'set_channel_parameters', {
							'channel': parseInt(${c}),
							'name': $('heater_${c}_name').value,
							'resistance': parseInt($('heater_${c}_resistance').value)
						})"
					/>
				</td>
			</tr>
		% endfor
	</tbody>
</table>

<%include file="footer.tpl" />


