<%include file="header.tpl" args="title='Manual Control'" />

<table border='1' summary='Heater Status'>
	<caption>Heater Settings and Readout</caption>
	<thead>
		<tr>
			<th>Channel</th><th>Switch</th><th>Amplitude</th><th>Units</th><th>Actions</th>
		</tr>
	</thead>
	<tbody>
		% for c in xrange(backpack['crython'].NUM_HEATER_CHANNELS):
			<% hp = backpack['CryoBoard'].get_heater_parameters(c) %>
			<tr>
				<td>${c+1}</td>
				<td>
					<INPUT TYPE=CHECKBOX id=heater_switch_${c} NAME="switch" ${ 'checked' if hp['switch'] else '' } />
				</td>
				<td>
					<INPUT type="text"
						id=heater_amp_${c} maxlength="10"
						value=${hp['amplitude'][0]} />
				</td>
				<td>
					<select id=heater_units_${c} STYLE="width: 150px">
						<option value="DAC Counts">DAC Counts</option>
						<option value="Volts">Volts</option>
					</select>
				</td>
				<td>
					<input type="submit" value="Set"
						onclick="cryo_method('CryoBoard', 'set_heater_parameters', {
							'channel': ${c},
							'switch': $('heater_switch_${c}').checked,
							'amplitude': [ parseInt($('heater_amp_${c}').value), $('heater_units_${c}').value ]
						})" />
				</td>
			</tr>
		% endfor
	</tbody>
</table>
<br />

<table border= '1'>
	<caption>Set the Drive Circuits</caption>
	<thead>
		<tr>
			<th>Channel</th><th>Amplitude</th><th>Units</th><th>Actions</th>
		</tr>
	</thead>
	<tbody>
		% for c in xrange(backpack['crython'].NUM_COOKED_CHANNELS):
			<% cp = backpack['CryoBoard'].get_channel_parameters(c) %>
			<tr>
				<td>${c+1}</td>
				<!-- <td><select style="width: 100px;">
					<option value="rtd">RTD</foo>
					<option value="diode">Diode</foo>
				</select></td> -->
				<td>
					<input type="text" id=channel_amp_${c}
						onkeypress="cryo_method_return(event, 'CryoBoard', 'set_channel_parameters', {
							'channel': ${c},
							'amplitude': parseInt($('channel_amp_${c}').value)
						})"
						maxlength="10" value=${ cp['amplitude'][0] } />
				</td>
				<td>
					<select id=channel_units_${c} STYLE="width: 150px">
						<option value="DAC Counts">DAC Counts</option>
						<option value="Volts">Volts</option>
					</select>
				</td>
				<td>
					<input type="submit" value="Set"
						onclick="cryo_method('CryoBoard', 'set_channel_parameters', {
									'channel': ${c},
									'amplitude':
									[ parseInt($('channel_amp_${c}').value), $('channel_units_${c}').value ]
						} )" />
				</td>
			</tr>
		% endfor
	</tbody>
</table>

<%include file="footer.tpl" />
