<%include file="header.tpl" args="title='Full Cryo Board Readout', refresh=10" />

<%
	crython = backpack['crython']
	cb = backpack['CryoBoard']
	samps = backpack['CryoStreamer'].get_samples(1)
	modulation_text = ["Square Wave","Sinusoid","DC"]
	hc = cb.get_heater_converter()
	cc = cb.get_converter()
%>

<table border='1' summary='Heater Status'>
	<thead>
		<caption>Heater Settings and Readout</caption>
		<tr>
			<th>Heater</th>
			<th>Switch</th>
			<th>DAC Setting</th>
			<th>Set voltage</th>
			<th>Measured Voltage</th>
			<th>Calculated Current</th>
		</tr>
	</thead>
	<tbody>
		% for i in xrange(crython.NUM_HEATER_CHANNELS):
			<%
				hp = cb.get_heater_parameters(i)
				amp = hp['amplitude']
			%>
			<tr>
				<td>${i+1}</td>
				<td>${'On' if hp['switch'] else 'Off'}</td>
				<td>${hc.convert_amplitude(amp[0],amp[1],crython.Units.VOLTS)}</td>
				<td>${hc.convert_amplitude(amp[0],amp[1],crython.Units.VOLTS)}</td>
				<td>N/A</td>
				<td>N/A</td>
			</tr>
		%endfor
	</tbody>
</table>

<br />

<table border= '1' summary = 'sense and drive status'>
	<thead>
		<caption>Sense and Drive Settings and Readout</caption>
		<tr>
			<th colspan=13>Mod/Demod Freq: ${cb.get_frequency()} Hz</th>
		</tr>
		<tr>
			<th>Channel Number</th>
			<th>Channel Name</th>
			<th>Sensor Type</th>
			<th>Bias Resistor</th>
			<th>DAC Setting</th>
			<th>Set Voltage</th>
			<th>Inferred Current</th>
			<th>Bias Modulation</th>
			<th>Demodulation Signal</th>
			<th>Sense ADC</th>
			<th>Measured Voltage</th>
			<th>Thermometer Resistance</th>
			<th>Corresponding Temperature</th>
		</tr>
	</thead>
	<tbody>
		% for i in xrange(crython.NUM_COOKED_CHANNELS):
			<%
				amp = cb.get_channel_parameters(i)['amplitude']
				ampb = cc.convert_amplitude(amp[0], amp[1],crython.Units.DAC_COUNTS)
				ampv = cc.convert_amplitude(amp[0], amp[1],crython.Units.VOLTS)
				ampi = ampv / cc.config['Resistances'][i]
				samp = samps['sense']['i'][i][0]
				sampv = cc.convert_temperature(samp, i,crython.Units.ADC_COUNTS,crython.Units.VOLTS)
				sampr = cc.convert_temperature(samp, i,crython.Units.ADC_COUNTS,crython.Units.OHMS)
				sampt = cc.convert_temperature(samp, i,crython.Units.ADC_COUNTS,crython.Units.KELVIN)
				cp = cb.get_channel_parameters(i)
			%>
			<tr>
				<td>${i+1}</td>
				<td>${cc.config['Names'][i]}</td>
				<td>${cc.config['Types'][i]}</td>
				<td>${cc.config['Resistances'][i]}</td>
				<td>${ampb}</td>
				<td>${'{0:5.2f} V'.format(ampv)}</td>
				<td>${'{0:5.1f} uA'.format(ampi*1e6)}</td>
				<td>${modulation_text[cp['mod_signal']]}</td>
				<td>${modulation_text[cp['demod_signal']]}</td>
				<td>${samp}</td>
				<td>${'{0:5.3f} V'.format(sampv)}</td>
				<td>${'{0:5.2f} Ohms'.format(sampr)}</td>
				<td>${'{0:5.3e} K'.format(sampt)}</td>
			</tr>
		%endfor
	</tbody>
</table>

<%include file="footer.tpl" />

